Subject: Request for well-known URI: smart-configuration

From: Isaac Vetter <[email-masked]>
Date: Thu, 23 May 2019 16:48:12 +0000

Hi wellknown-uri-reviewers!

I'd like to request that the "smart-configuration" well-known URI name be registered. I'm making this request on behalf of the HL7 standards development organization in regards to the HL7 FHIR SMART App Launch specification<http://www.hl7.org/fhir/smart-app-launch/>. This implementation guide defines a well-known URI by which an application may discover a FHIR API server's authorization and launch capabilities.

This specification has already gone through a round of balloting within HL7 and is currently published at the "Standard for Trial Use<https://confluence.hl7.org/display/HL7/HL7+Balloting>" level, which precedes a status of Normative. It would be nice if we could keep this name, and we probably should've registered it earlier.

URI suffix: smart-configuration
Change controller: I think that the correct answer is HL7 - http://www.hl7.org/about/index.cfm?ref=nav
Specification document: http://www.hl7.org/fhir/smart-app-launch/conformance/index.html#well-known-uri-registry

Isaac Vetter

https://tools.ietf.org/html/rfc5785#section-5.1